Update Ubuntu Precise to 12.04.5 with Trusty HWE

Approximately two weeks ago I was met with the following message on one of my servers terminal after an upgrade and had no clue what to do:

Your current Hardware Enablement Stack (HWE) is going out of support
on 2014-08-07. After this date security updates for critical parts (kernel
and graphics stack) of your system will no longer be available.

For more information, please see:
http://wiki.ubuntu.com/1204_HWE_EOL

To upgrade to a supported (or longer supported) configuration:

* Upgrade from Ubuntu 12.04 LTS to Ubuntu 14.04 LTS by running:
sudo do-release-upgrade

OR

* Install a newer HWE version by running:
sudo apt-get install linux-generic-lts-trusty linux-image-generic-lts-trusty

and reboot your system.

DISLCAMER: All normal warnings apply here. These commands and how tos are for edcuational use only. While commands work and are correct to the best of my knoledge: I am not responsible for your Linux crashing, loss of data, gnomes eating your sox in the dryer or your cat walking across the keyboard. With that said… Pleas read on…


What I found is simple. The Hardware Enablement Stack or HWE is ending support. What this means is what ever mainline kernel you happen to be using, such as 3.2.x or 3.5.x in Ubuntu 12.04 and point releases 3 and 4 will end support. Your system will still receive maintenance updates but kernel and graphics will be frozen. Point release 1 and 2 stay on mainline kernel 3.2 and do not have HWE but can be upgraded if needed/wanted. You can read more about HWE here and here.

Installing the latest HWE and mainline kernel 3.13.x is easy. What we need to do to get to Ubuntu 12.04.5 is manually update our systems. Canonical will not automaticlly push the updates, so we have to do it ourselfs or update to 14.04.1 to resolve the issue.

I chose the update to Trusty HWE and Ubuntu 12.04.5 as I have a few servers, and not enough time to roll out a new OS on them yet. Here is what I did to install the latest HWE:

Updating SERVER:

First you will want to install all updates pending for your installation:

 sudo apt-get update ; sudo apt-get upgrade -y ; sudo apt-get dist-upgrade -y 

and reboot if a new kernel was installed. Then run exactly what the message states:

 sudo apt-get install linux-generic-lts-trusty linux-image-generic-lts-trusty 

and reboot again. Once back up and running, you will be booted with a shiny new kernel and HWE. To test run.

 mford@reaper:~$ hwe-support-status --verbose ; uname -srv ; lsb_release -a 

and your output should be the same or similar:

Your Hardware Enablement Stack (HWE) is supported until April 2017.
Linux 3.13.0-32-generic #57~precise1-Ubuntu SMP Tue Jul 15 03:51:20 UTC 2014
No LSB modules are available.
Distributor ID:    Ubuntu
Description:    Ubuntu 12.04.5 LTS
Release:    12.04
Codename:    precise

Updating DESKTOP:

Now updating a desktop system requires a bit more than a server. I got bit by this (but not too bad). What I did is run the same commands to update my desktop as my servers and…. this broke Unity…. lesson learned: Server != Desktop. I did however fix my issue by rebooting in to a previous kernel and ran my cleanKernels script and fixed my system right up. To install properly, a kind fellow on Freenode.net IRC channel #ubuntu guided me in the right direction.

First to upgrade a desktop you will still want to have all updates installed by running the following or using the update manager:

 sudo apt-get update ; sudo apt-get upgrade -y ; sudo apt-get dist-upgrade -y 

Reboot if needed, then run the following, (notice it’s different): but be warned…. if you have WINE installed and need any of those applications, they are about to be wiped out. As this also removes WINE

 sudo apt-get install --install-recommends linux-generic-lts-trusty xserver-xorg-lts-trusty libgl1-mesa-glx-lts-trusty 

This command will install the proper kernel HWE and graphics drivers. the xserver and mesa packages is what I missed when upgrading the first time. But you know what they say, “you live and learn.” Now for some unknown reason, after updating apt-get says there is a bunch of pachages that are no longer needed it is safe to run an apt-get autoremove…. again… but be warned…. if you have WINE you will need to reinstall. No bigge though… for me any way. Just an apt-get install wine and off we go.

After the latest kernel HWE has been installed reboot and run the following to test:

 mford@reaper:~$ hwe-support-status --verbose ; uname -srv ; lsb_release -a 

and your output should be the same or similar:

Your Hardware Enablement Stack (HWE) is supported until April 2017.
Linux 3.13.0-32-generic #57~precise1-Ubuntu SMP Tue Jul 15 03:51:20 UTC 2014
No LSB modules are available.
Distributor ID:    Ubuntu
Description:    Ubuntu 12.04.5 LTS
Release:    12.04
Codename:    precise

Just as before with the server, the system is now supported until April 2017 and is all set for the next 2.5 years.

2 comments on “Update Ubuntu Precise to 12.04.5 with Trusty HWE
  1. Steve says:

    This worked perfectly. You saved me some serious headaches. I’m not ready to move to 14.04 but didn’t want to leave the HWE hanging. Thanks!

1 Pings/Trackbacks for "Update Ubuntu Precise to 12.04.5 with Trusty HWE"
  1. […] then push on forward, if says is no longer supported or not installed at all; please follow my post here on how to update Ubuntu 12.04.4 to 12.04.5 with Trusty […]

Leave a Reply

Your email address will not be published. Required fields are marked *

*

This site uses Akismet to reduce spam. Learn how your comment data is processed.